Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging.jms.management.server
Class TransactionOperations

    java.lang.Object
      com.sun.messaging.jms.management.server.TransactionOperations

    public class TransactionOperations

extends java.lang.Object

Class containing information on transaction operations.

Field Summary
`static java.lang.String` | `COMMIT` Commit a transaction.
`static java.lang.String` | `GET_TRANSACTION_IDS` Get list of transaction IDs
`static java.lang.String` | `GET_TRANSACTION_INFO` Get info on all transactions
`static java.lang.String` | `GET_TRANSACTION_INFO_BY_ID` Get info on specified transaction (via ID)
`static java.lang.String` | `ROLLBACK` Rollback a transaction.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GET_TRANSACTION_IDS

    public static final java.lang.String GET_TRANSACTION_IDS

  Get list of transaction IDs

  See Also:
    Constant Field Values

### GET_TRANSACTION_INFO

    public static final java.lang.String GET_TRANSACTION_INFO

  Get info on all transactions

  See Also:
    Constant Field Values

### GET_TRANSACTION_INFO_BY_ID

    public static final java.lang.String GET_TRANSACTION_INFO_BY_ID

  Get info on specified transaction (via ID)

  See Also:
    Constant Field Values

### COMMIT

    public static final java.lang.String COMMIT

  Commit a transaction.

  See Also:
    Constant Field Values

### ROLLBACK

    public static final java.lang.String ROLLBACK

  Rollback a transaction.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.